Skip to main content
GET
/
api
/
2.0
/
pharmacies
/
{ncpdpid}
Retrieve Pharmacy
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/pharmacies/{ncpdpid}/ \
  --header 'Authorization: Bearer <token>'
{
  "active_end_time": "2023-11-07T05:31:56Z",
  "active_start_time": "2023-11-07T05:31:56Z",
  "id": 123,
  "ncpdpid": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "city": "<string>",
  "fax": "<string>",
  "npi": "<string>",
  "phone_primary": "<string>",
  "specialty_types": "<string>",
  "state": "<string>",
  "store_name": "<string>",
  "zip": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ncpdpid
integer
required

The NCPDP ID of the pharmacy to retrieve

Response

200 - application/json
active_end_time
string<date-time>
required
active_start_time
string<date-time>
required
id
integer<int64>
required
ncpdpid
string
required
Maximum string length: 21
address_line1
string | null
Maximum string length: 105
address_line2
string | null
Maximum string length: 105
city
string | null
Maximum string length: 105
fax
string | null
Maximum string length: 75
npi
string | null
Maximum string length: 30
phone_primary
string | null
Maximum string length: 75
specialty_types
string | null
Maximum string length: 150
state
string | null
Maximum string length: 6
store_name
string | null
Maximum string length: 105
zip
string | null
Maximum string length: 33